Bug 1910267

Summary: There is no soft link '/etc/qemu-kvm/fsfreeze-hook'
Product: Red Hat Enterprise Linux 8 Reporter: dehanmeng <demeng>
Component: qemu-kvmAssignee: Marc-Andre Lureau <marcandre.lureau>
qemu-kvm sub component: Guest Agent QA Contact: dehanmeng <demeng>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: medium CC: ddepaula, juzhang, lijin, virt-maint
Version: 8.4Keywords: Triaged
Target Milestone: rc   
Target Release: 8.4   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-kvm-4.2.0-40.module+el8.4.0+9278+dd53883d Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-18 15:22:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description dehanmeng 2020-12-23 09:00:23 UTC
Description of problem:
this issue on guest rhel840 with qemu-kvm-4.2.0-38.module+el8.4.0+9133+5346b06d. it's the same issue as https://bugzilla.redhat.com/show_bug.cgi?id=1738820#c0, but it was fixed in rhel830-av and solution as https://bugzilla.redhat.com/show_bug.cgi?id=1738820#c5.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Expected results:

Additional info:

Comment 6 dehanmeng 2021-01-05 09:19:42 UTC
Reproduce with version :
qemu-kvm-4.2.0-38.module+el8.4.0+9133+5346b06d
RHEL-8.4.0-20201229.n.0 BaseOS x86_64

Steps to Reproduceļ¼š
1.Boot rhel840 guest successfully.
2.Check whether there is /etc/qemu-kvm/fsfreeze-hook

Actual result:
There is no /etc/qemu-kvm/fsfreeze-hook in guest, and cannot freeze filesystem from guest.
Expected result:
There are /etc/qemu-kvm/fsfreeze-hook and /etc/qemu-ga/fsfreeze-hook. And can freeze fs successfully.

Verified with version:
qemu-kvm-4.2.0-40.module+el8.4.0+9278+dd53883d
RHEL-8.4.0-20201229.n.0 BaseOS x86_64

Steps to verify like above
As above
Actual result:
There are /etc/qemu-kvm/fsfreeze-hook and /etc/qemu-ga/fsfreeze-hook. And can freeze fs successfully.
Expected result:
There are /etc/qemu-kvm/fsfreeze-hook and /etc/qemu-ga/fsfreeze-hook. And can freeze fs successfully.

Comment 8 errata-xmlrpc 2021-05-18 15:22:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1762